Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLTableCellElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLTableCellElementImpl

public final class HTMLTableCellElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableCellElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLTableCellElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLTableCellElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAbbr()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAxis()`
`java.lang.String` | `getBgColor()`
`int` | `getCellIndex()`
`java.lang.String` | `getCh()`
`java.lang.String` | `getChOff()`
`int` | `getColSpan()`
`java.lang.String` | `getHeaders()`
`java.lang.String` | `getHeight()`
`boolean` | `getNoWrap()`
`int` | `getRowSpan()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getVAlign()`
`java.lang.String` | `getWidth()`
`void` | `setAbbr(java.lang.String abbr)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAxis(java.lang.String axis)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setCellIndex(int cellIndex)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setColSpan(int colspan)`
`void` | `setHeaders(java.lang.String headers)`
`void` | `setHeight(java.lang.String height)`
`void` | `setNoWrap(boolean noWrap)`
`void` | `setRowSpan(int rowspan)`
`void` | `setScope(java.lang.String scope)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableCellElementImpl

    public HTMLTableCellElementImpl(HTMLDocumentImpl owner,
                                    java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCellIndex

    public int getCellIndex()

  Specified by:
    getCellIndex in interface org.w3c.dom.html.HTMLTableCellElement

### setCellIndex

    public void setCellIndex(int cellIndex)

### getAbbr

    public java.lang.String getAbbr()

  Specified by:
    getAbbr in interface org.w3c.dom.html.HTMLTableCellElement

### setAbbr

    public void setAbbr(java.lang.String abbr)

  Specified by:
    setAbbr in interface org.w3c.dom.html.HTMLTableCellElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLTableCellElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLTableCellElement

### getAxis

    public java.lang.String getAxis()

  Specified by:
    getAxis in interface org.w3c.dom.html.HTMLTableCellElement

### setAxis

    public void setAxis(java.lang.String axis)

  Specified by:
    setAxis in interface org.w3c.dom.html.HTMLTableCellElement

### getBgColor

    public java.lang.String getBgColor()

  Specified by:
    getBgColor in interface org.w3c.dom.html.HTMLTableCellElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface org.w3c.dom.html.HTMLTableCellElement

### getCh

    public java.lang.String getCh()

  Specified by:
    getCh in interface org.w3c.dom.html.HTMLTableCellElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface org.w3c.dom.html.HTMLTableCellElement

### getChOff

    public java.lang.String getChOff()

  Specified by:
    getChOff in interface org.w3c.dom.html.HTMLTableCellElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface org.w3c.dom.html.HTMLTableCellElement

### getColSpan

    public int getColSpan()

  Specified by:
    getColSpan in interface org.w3c.dom.html.HTMLTableCellElement

### setColSpan

    public void setColSpan(int colspan)

  Specified by:
    setColSpan in interface org.w3c.dom.html.HTMLTableCellElement

### getHeaders

    public java.lang.String getHeaders()

  Specified by:
    getHeaders in interface org.w3c.dom.html.HTMLTableCellElement

### setHeaders

    public void setHeaders(java.lang.String headers)

  Specified by:
    setHeaders in interface org.w3c.dom.html.HTMLTableCellElement

### getHeight

    public java.lang.String getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.html.HTMLTableCellElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface org.w3c.dom.html.HTMLTableCellElement

### getNoWrap

    public boolean getNoWrap()

  Specified by:
    getNoWrap in interface org.w3c.dom.html.HTMLTableCellElement

### setNoWrap

    public void setNoWrap(boolean noWrap)

  Specified by:
    setNoWrap in interface org.w3c.dom.html.HTMLTableCellElement

### getRowSpan

    public int getRowSpan()

  Specified by:
    getRowSpan in interface org.w3c.dom.html.HTMLTableCellElement

### setRowSpan

    public void setRowSpan(int rowspan)

  Specified by:
    setRowSpan in interface org.w3c.dom.html.HTMLTableCellElement

### getScope

    public java.lang.String getScope()

  Specified by:
    getScope in interface org.w3c.dom.html.HTMLTableCellElement

### setScope

    public void setScope(java.lang.String scope)

  Specified by:
    setScope in interface org.w3c.dom.html.HTMLTableCellElement

### getVAlign

    public java.lang.String getVAlign()

  Specified by:
    getVAlign in interface org.w3c.dom.html.HTMLTableCellElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface org.w3c.dom.html.HTMLTableCellElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLTableCellElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLTableCellElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD